"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const target_config_1 = require("./target.config");
exports.default = () => {
    const style = [{ loader: "isomorphic-style-loader" }];
    const css = [
        {
            loader: "css-loader",
            options: {
                discardComments: {
                    removeAll: true,
                },
                ident: "css",
                minimize: !target_config_1.isDevelopment,
                sourceMap: target_config_1.isDebug,
            },
        },
    ];
    const cssModules = [
        {
            loader: "css-loader",
            options: {
                discardComments: {
                    removeAll: true,
                },
                ident: "css-modules",
                importLoaders: 1,
                localIdentName: target_config_1.isDevelopment ? "[path][local][hash:base64:4]" : "[hash:base64:32]",
                minimize: !target_config_1.isDevelopment,
                modules: true,
                sourceMap: target_config_1.isDebug,
            },
        },
    ];
    const postCss = [
        {
            loader: "postcss-loader",
            options: {
                ident: "postcss",
                plugins: target_config_1.postCSS.config,
            },
        },
    ];
    return [
        {
            exclude: ["node_modules"],
            include: target_config_1.context,
            test: /\.css/,
            use: [...style, ...cssModules, ...postCss],
        },
        {
            exclude: [target_config_1.context],
            test: /\.css/,
            use: [...style, ...css],
        },
    ];
};
