"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const target_config_1 = require("./target.config");
exports.default = () => {
    const exclude = [/node_modules/];
    const include = [target_config_1.context];
    const test = /\.(ts|tsx)?$/;
    return [
        {
            enforce: "pre",
            exclude,
            include,
            loader: "tslint-loader",
            options: {
                configFile: target_config_1.tsLintConfigPath,
            },
            test,
        },
        {
            exclude,
            include,
            test,
            use: [
                {
                    loader: "ts-loader",
                    options: {
                        configFile: target_config_1.tsConfigPath,
                    },
                },
            ],
        },
    ];
};
