"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const css_loders_1 = require("./components/css.loders");
const js_plugins_1 = require("./components/js.plugins");
const target_config_1 = require("./components/target.config");
exports.default = (entry, output, rules, plugins, externals) => ({
    bail: !target_config_1.isDevelopment,
    cache: true,
    context: target_config_1.context,
    devtool: target_config_1.isDebug ? "source-map" : false,
    entry,
    externals,
    mode: target_config_1.isDevelopment ? "development" : "production",
    module: {
        rules: [
            {
                loader: "file-loader",
                query: {
                    name: target_config_1.isDevelopment
                        ? "[path][name].[ext]?[hash:8]"
                        : "[hash:32].[ext]",
                },
                test: /\.(ico|jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2)(\?.*)?$/,
            },
            ...css_loders_1.default(),
            ...rules,
        ],
    },
    optimization: {
        minimize: false,
    },
    output,
    performance: {
        hints: false,
    },
    plugins: [...plugins, ...js_plugins_1.uglify()],
    profile: true,
    recordsPath: path.resolve(target_config_1.root, "node_modules/.cache/webpack/[confighash]/records.json"),
    resolve: {
        extensions: [".js", ".ts", ".tsx", ".css", ".json"],
        modules: target_config_1.modules,
    },
    resolveLoader: {
        extensions: [".js", ".json"],
        mainFields: ["loader", "main"],
        modules: target_config_1.modules,
    },
    stats: target_config_1.stats,
});
