"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const HardSourceWebpackPlugin = require("hard-source-webpack-plugin");
const path = require("path");
const entry_1 = require("./components/entry");
const js_plugins_1 = require("./components/js.plugins");
const target_config_1 = require("./components/target.config");
const ts_loaders_1 = require("./components/ts.loaders");
const general_webpack_config_1 = require("./general.webpack.config");
exports.dev = general_webpack_config_1.default(entry_1.default(), target_config_1.output, ts_loaders_1.default(), [
    ...js_plugins_1.DllReferencePlugin(),
    ...js_plugins_1.HMR(),
    ...js_plugins_1.extractVendors(),
    ...js_plugins_1.workboxPlugin(),
    ...js_plugins_1.htmlWebpackPlugin(),
    ...js_plugins_1.analyze(),
], {});
exports.dll = general_webpack_config_1.default({
    [target_config_1.dll_entry_name]: [path.resolve(target_config_1.context, "vendors.ts")],
}, Object.assign({}, target_config_1.output, { filename: target_config_1.dll_lib_file_name, library: target_config_1.dll_lib_name, path: target_config_1.dll_lib_output_path }), ts_loaders_1.default(), [
    ...js_plugins_1.clean([target_config_1.isDevelopment ? "dll/dev" : "dll/prod"], true),
    ...js_plugins_1.DllPlugin(),
    new HardSourceWebpackPlugin({
        cacheDirectory: path.resolve(target_config_1.root, "node_modules/.cache/dll-hard-source/dll/[confighash]"),
        configHash: (webpackConfig) => {
            return require("node-object-hash")({ sort: false }).hash(webpackConfig);
        },
        environmentHash: {
            directories: [],
            files: ["package-lock.json"],
            root: process.cwd(),
        },
    }),
], {});
