"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const copy = require("copy");
const del = require("del");
const path = require("path");
const webpack = require("webpack");
const npmHardSync_1 = require("../config/components/npmHardSync");
const target_config_1 = require("../config/components/target.config");
const typescript_config_builder_1 = require("../config/components/typescript.config.builder");
const webpack_config_1 = require("../config/webpack.config");
const setTypingForAllCSSandFiles_1 = require("./setTypingForAllCSSandFiles");
del([target_config_1.output.path || path.resolve(target_config_1.root, "dist")]).then(() => {
    console.log(chalk_1.default.bold.cyan(`[CLEAN DIST]`));
    console.log(chalk_1.default.cyan(`[DELETE] ${target_config_1.output.path || path.resolve(target_config_1.root, "dist")}`));
    console.log("");
    copy([`${target_config_1.dll_path}/*.js`, `${target_config_1.dll_path}/*.css`], target_config_1.output.path, () => tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log("");
        console.log(chalk_1.default.bold.cyan(`[COPY DLL]`));
        console.log(chalk_1.default.cyan(`JS: ${target_config_1.dll_path}/*.js`));
        console.log(chalk_1.default.cyan(`CSS: ${target_config_1.dll_path}/*.css`));
        console.log(chalk_1.default.cyan(`TO: ${target_config_1.output.path}`));
        yield npmHardSync_1.npmHardSyncStart(false);
        yield setTypingForAllCSSandFiles_1.default();
        yield typescript_config_builder_1.default();
        console.log(chalk_1.default.bold.cyan(`[BUILD]`.toUpperCase()));
        webpack(webpack_config_1.dev).run((err, stats) => {
            if (err) {
                throw new Error(err);
            }
            console.log("");
            console.info(stats.toString(target_config_1.stats));
            console.log(chalk_1.default.bold.cyan(`[BUILD END]`));
        });
    }));
});
