"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const webpack = require("webpack");
const npmHardSync_1 = require("../config/components/npmHardSync");
const target_config_1 = require("../config/components/target.config");
const typescript_config_builder_1 = require("../config/components/typescript.config.builder");
const webpack_config_1 = require("../config/webpack.config");
const setTypingForAllCSSandFiles_1 = require("./setTypingForAllCSSandFiles");
function dllRun() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield npmHardSync_1.npmHardSyncStart(false);
        yield setTypingForAllCSSandFiles_1.default();
        yield typescript_config_builder_1.default();
        console.log("");
        console.log(chalk_1.default.bold.cyanBright(`[Build DLL]`.toUpperCase()));
        webpack(webpack_config_1.dll).run((err, stats) => {
            if (err) {
                throw new Error(err);
            }
            console.info(stats.toString(target_config_1.stats));
            console.log(chalk_1.default.bold.cyanBright(`[Build DLL End]`.toUpperCase()));
        });
    });
}
dllRun();
