"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const copy = require("copy");
const del = require("del");
const path = require("path");
const target_config_1 = require("../config/components/target.config");
function setTypingForAllCSSandFiles() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield new Promise((resolve, reject) => {
            const tmpTypings = path.resolve(__dirname, "../../../templates");
            del([path.resolve(target_config_1.context, "**/*.css.d.ts")]).then((paths) => {
                for (const item of paths) {
                    console.log(chalk_1.default.yellow("[ REMOVED *.css.d.ts ]"), chalk_1.default.cyan(item));
                }
                copy([`${tmpTypings}/*.d.ts`], target_config_1.context, (error, files) => {
                    if (!error) {
                        console.log("");
                        for (const file of files) {
                            console.log(chalk_1.default.bold.cyan("[ SET TYPING ]"));
                            console.log(chalk_1.default.cyan(file.path));
                        }
                        resolve();
                    }
                    else {
                        console.error(error);
                        reject();
                    }
                });
            });
        });
    });
}
exports.default = setTypingForAllCSSandFiles;
