"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const webpack = require("webpack");
const WDS = require("webpack-dev-server");
const npmHardSync_1 = require("../config/components/npmHardSync");
const target_config_1 = require("../config/components/target.config");
const typescript_config_builder_1 = require("../config/components/typescript.config.builder");
const webpack_config_1 = require("../config/webpack.config");
const setTypingForAllCSSandFiles_1 = require("./setTypingForAllCSSandFiles");
function start() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log(chalk_1.default.bold.cyanBright(`[START]`));
        yield npmHardSync_1.npmHardSyncStart();
        yield setTypingForAllCSSandFiles_1.default();
        yield typescript_config_builder_1.default();
        const server = new WDS(webpack(webpack_config_1.dev), target_config_1.WDSConfig);
        server.listen(target_config_1.socket.port, target_config_1.socket.host, () => {
            console.log(``);
            console.log(chalk_1.default.bold.cyanBright(`[WDS][LAUNCHED]`));
            console.log(chalk_1.default.cyan(`LAUNCHED: https://${target_config_1.socket.host}:${target_config_1.socket.port}`));
        });
    });
}
start();
